/[gentoo-x86]/app-office/libreoffice-bin/libreoffice-bin-4.0.4.2.ebuild
Gentoo

Contents of /app-office/libreoffice-bin/libreoffice-bin-4.0.4.2.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (hide annotations) (download)
Sat Jul 27 17:41:49 2013 UTC (12 months ago) by dilfridge
Branch: MAIN
Changes since 1.1: +3 -6 lines
Make cups mandatory, bug 478364

(Portage version: 2.2.0_alpha188/cvs/Linux x86_64, signed Manifest commit with key EBE6A336BE19039C!)

1 dilfridge 1.1 # Copyright 1999-2013 Gentoo Foundation
2     # Distributed under the terms of the GNU General Public License v2
3 dilfridge 1.2 # $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice-bin/libreoffice-bin-4.0.4.2.ebuild,v 1.1 2013/07/20 22:12:53 dilfridge Exp $
4 dilfridge 1.1
5     EAPI=5
6    
7     KDE_REQUIRED="optional"
8     CMAKE_REQUIRED="never"
9    
10     BASE_AMD64_URI="mirror://gentoo/amd64-bin-"
11     BASE_X86_URI="mirror://gentoo/x86-bin-"
12    
13     PYTHON_COMPAT=( python2_7 python3_3 )
14     PYTHON_REQ_USE="threads,xml"
15    
16     inherit kde4-base java-pkg-opt-2 python-single-r1 pax-utils prefix versionator
17    
18     DESCRIPTION="LibreOffice, a full office productivity suite. Binary package."
19     HOMEPAGE="http://www.libreoffice.org"
20     SRC_URI_AMD64="
21     kde? (
22     !java? ( ${BASE_AMD64_URI}${PN/-bin}-kde-${PVR}.tar.xz )
23     java? ( ${BASE_AMD64_URI}${PN/-bin}-kde-java-${PVR}.tar.xz )
24     )
25     gnome? (
26     !java? ( ${BASE_AMD64_URI}${PN/-bin}-gnome-${PVR}.tar.xz )
27     java? ( ${BASE_AMD64_URI}${PN/-bin}-gnome-java-${PVR}.tar.xz )
28     )
29     !kde? ( !gnome? (
30     !java? ( ${BASE_AMD64_URI}${PN/-bin}-base-${PVR}.tar.xz )
31     java? ( ${BASE_AMD64_URI}${PN/-bin}-base-java-${PVR}.tar.xz )
32     ) )
33     "
34     SRC_URI_X86="
35     kde? (
36     !java? ( ${BASE_X86_URI}${PN/-bin}-kde-${PVR}.tar.xz )
37     java? ( ${BASE_X86_URI}${PN/-bin}-kde-java-${PVR}.tar.xz )
38     )
39     gnome? (
40     !java? ( ${BASE_X86_URI}${PN/-bin}-gnome-${PVR}.tar.xz )
41     java? ( ${BASE_X86_URI}${PN/-bin}-gnome-java-${PVR}.tar.xz )
42     )
43     !kde? ( !gnome? (
44     !java? ( ${BASE_X86_URI}${PN/-bin}-base-${PVR}.tar.xz )
45     java? ( ${BASE_X86_URI}${PN/-bin}-base-java-${PVR}.tar.xz )
46     ) )
47     "
48    
49     SRC_URI="
50     amd64? ( ${SRC_URI_AMD64} )
51     x86? ( ${SRC_URI_X86} )
52     "
53    
54 dilfridge 1.2 IUSE="debug gnome java kde"
55 dilfridge 1.1 LICENSE="LGPL-3"
56     SLOT="0"
57     KEYWORDS="-* ~amd64 ~x86"
58    
59     BIN_COMMON_DEPEND="
60     =app-text/libexttextcat-3.4*
61     app-text/poppler:0/35
62     dev-libs/icu:0/51.1
63     =media-gfx/graphite2-1.2*
64     =media-libs/libpng-1.5*
65     >=sys-libs/glibc-2.15-r3
66     kde? ( >=kde-base/kdelibs-4.10.4:4 >=dev-qt/qtcore-4.8.4-r5:4 )
67     "
68    
69     # PLEASE place any restrictions that are specific to the binary builds
70     # into the BIN_COMMON_DEPEND block above.
71     # All dependencies below this point should remain identical to those in
72     # the source ebuilds.
73    
74     COMMON_DEPEND="
75     ${BIN_COMMON_DEPEND}
76     ${PYTHON_DEPS}
77     app-arch/zip
78     app-arch/unzip
79     >=app-text/hunspell-1.3.2-r3
80     app-text/mythes
81     >=app-text/libexttextcat-3.2
82     app-text/liblangtag
83     app-text/libmspub
84     app-text/libwpd:0.9[tools]
85     app-text/libwpg:0.2
86     >=app-text/libwps-0.2.2
87     >=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
88     >=dev-cpp/clucene-2.3.3.4-r2
89     >=dev-cpp/libcmis-0.3.1:0.3
90     dev-db/unixODBC
91     dev-libs/expat
92     >=dev-libs/hyphen-2.7.1
93     >=dev-libs/icu-4.8.1.1:=
94     =dev-libs/liborcus-0.3*
95     >=dev-libs/nspr-4.8.8
96     >=dev-libs/nss-3.12.9
97     >=dev-lang/perl-5.0
98     >=dev-libs/openssl-1.0.0d
99     >=dev-libs/redland-1.0.14[ssl]
100     media-gfx/graphite2
101     >=media-libs/fontconfig-2.8.0
102     media-libs/freetype:2
103     media-libs/lcms:2
104     >=media-libs/libpng-1.4
105     >=media-libs/libcdr-0.0.5
106     media-libs/libvisio
107     >=net-misc/curl-7.21.4
108     net-nds/openldap
109     sci-mathematics/lpsolve
110     virtual/jpeg
111     >=x11-libs/cairo-1.10.0[X]
112     x11-libs/libXinerama
113     x11-libs/libXrandr
114     x11-libs/libXrender
115 dilfridge 1.2 net-print/cups
116 dilfridge 1.1 >=dev-libs/dbus-glib-0.92
117     gnome? ( gnome-extra/evolution-data-server )
118     gnome? ( gnome-base/gconf:2 )
119     x11-libs/gdk-pixbuf[X]
120     >=x11-libs/gtk+-2.24:2
121     media-libs/gstreamer:1.0
122     media-libs/gst-plugins-base:1.0
123     virtual/glu
124     virtual/opengl
125     net-libs/neon
126     "
127    
128     RDEPEND="${COMMON_DEPEND}
129     !app-office/libreoffice
130     !<app-office/openoffice-bin-3.4.0-r1
131     !app-office/openoffice
132     media-fonts/libertine-ttf
133     media-fonts/liberation-fonts
134     media-fonts/urw-fonts
135     java? ( >=virtual/jre-1.6 )
136     "
137    
138     PDEPEND="
139     =app-office/libreoffice-l10n-4.0*
140     "
141    
142     DEPEND=""
143    
144     # only one flavor at a time
145     REQUIRED_USE="kde? ( !gnome ) gnome? ( !kde )"
146    
147     RESTRICT="test strip"
148    
149     S="${WORKDIR}"
150    
151     PYTHON_UPDATER_IGNORE="1"
152    
153     pkg_pretend() {
154     [[ $(gcc-major-version) -lt 4 ]] || \
155     ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -le 4 ]] ) \
156     && die "Sorry, but gcc-4.4 and earlier won't work for libreoffice-bin package (see bug #387515)."
157     }
158    
159     pkg_setup() {
160     kde4-base_pkg_setup
161     }
162    
163     src_unpack() {
164     default
165     }
166    
167     src_prepare() {
168     cp "${FILESDIR}"/50-${PN} "${T}"
169     eprefixify "${T}"/50-${PN}
170     }
171    
172     src_configure() { :; }
173    
174     src_compile() { :; }
175    
176     src_install() {
177     dodir /usr
178     cp -aR "${S}"/usr/* "${ED}"/usr/
179    
180     # prevent revdep-rebuild from attempting to rebuild all the time
181     insinto /etc/revdep-rebuild && doins "${T}/50-${PN}"
182     }
183    
184     pkg_preinst() {
185     # Cache updates - all handled by kde eclass for all environments
186     kde4-base_pkg_preinst
187     }
188    
189     pkg_postinst() {
190     kde4-base_pkg_postinst
191    
192     pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
193     pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
194    
195     use java || \
196     ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
197     }
198    
199     pkg_postrm() {
200     kde4-base_pkg_postrm
201     }

  ViewVC Help
Powered by ViewVC 1.1.20